Os4.1 3D , warp and openGL ?

A forum for general AmigaOS 4.x support questions that are not platform-specific

Os4.1 3D , warp and openGL ?

Postby mjnurney » Thu May 25, 2017 9:32 am

Hello all,

My adventures in os4 continue and problems ensue as always ... anyway.

I have os4.1fe updated, enhancer pack , radeon 7750 south island ddr5 gfx card but..

I get some interesting errors , cannot open GL Context is one when trying hunoppcs ports and gorky17 demo doesnt show hardware render at all.

Now I've contacted hunopp and this but I wanted to ask if I needed to install anything extra to run warp3d or openGL stuff?

Cheers
Mike.
mjnurney
 
Posts: 18
Joined: Sat Oct 27, 2012 1:10 am

Re: Os4.1 3D , warp and openGL ?

Postby ddni » Thu May 25, 2017 11:39 am

Do you have ESP Standard or Plus version?
I'm sure that you know RadeonHD differs between the two.
User avatar
ddni
 
Posts: 227
Joined: Sat Dec 03, 2011 12:06 am

Re: Os4.1 3D , warp and openGL ?

Postby mjnurney » Thu May 25, 2017 11:47 am

Standard version , but I have version 1 & 2 of the radeon driver ... I think the one in the enhanced pack is 1.x something...
mjnurney
 
Posts: 18
Joined: Sat Oct 27, 2012 1:10 am

Re: Os4.1 3D , warp and openGL ?

Postby ddni » Thu May 25, 2017 11:59 am

May be worth posting which version of radeonhd you have in sys:kickstart
User avatar
ddni
 
Posts: 227
Joined: Sat Dec 03, 2011 12:06 am

Re: Os4.1 3D , warp and openGL ?

Postby mjnurney » Thu May 25, 2017 1:22 pm

I'll take a look later

Surely all versions of the radeon had warp3d support ?

Anyway the gears demo works ok
mjnurney
 
Posts: 18
Joined: Sat Oct 27, 2012 1:10 am

Re: Os4.1 3D , warp and openGL ?

Postby kas1e » Thu May 25, 2017 4:38 pm

@mjnurney

To clear things up:

Currently, all opengl apps on os4 works over minigl, which, in turn, works over old warp3d (i say old, as there is new one, Warp3D Nova, which is not compatible with old Warp3D, and which currently didn't used by anything, just by some few tests cases and co. All stuff from os4depot still use old minigl which works over old warp3d).

So to have opengl app works, you need working old warpd3d support, and minigl libraries at top of it. And to have old warp3d work on radeonHD, you need latest RadeonHD driver (you have it as i see), and buy Warp3D SI from amistore (it is _not_ included in Enhancer, and it is _not_ Warp3DNova). But, that Warp3D SI driver, works not on all radeonHD, so you should check if you card is supported before.

There is another way, to wait when Daniel will finish his minigl replacement which will works through Warp3DNova (so there will be no needs to have old warp3d support to have working minigl apps). But that is unknown when will be done and how much it will cost , etc.
kas1e
Beta Tester
Beta Tester
 
Posts: 453
Joined: Sat Jun 18, 2011 8:56 am

Re: Os4.1 3D , warp and openGL ?

Postby ddni » Thu May 25, 2017 5:34 pm

Thanks kas1e. Hopefully that will help resolve the OP issue.
I have purchased all of those drivers and am still often confused as to what software needs which drivers on what hardware... Be good if there existed a flow chart diagram showing which software had what dependencies. If one doesn't exist, I might sit and try to create something.
User avatar
ddni
 
Posts: 227
Joined: Sat Dec 03, 2011 12:06 am

Re: Os4.1 3D , warp and openGL ?

Postby mjnurney » Thu May 25, 2017 9:39 pm

thank you for clearing that up..

So to summerise i need the Warp3D driver and not Warp3D nova that I've just bought. i need to check that the old Warp3d supports my radeon 7750 too...and i may need old miniGL

so whats the point of Nova3D then ?
mjnurney
 
Posts: 18
Joined: Sat Oct 27, 2012 1:10 am

Re: Os4.1 3D , warp and openGL ?

Postby kas1e » Thu May 25, 2017 9:59 pm

mjnurney wrote:thank you for clearing that up..

So to summerise i need the Warp3D driver and not Warp3D nova that I've just bought. i need to check that the old Warp3d supports my radeon 7750 too...and i may need old miniGL


Yep. Minigl come by deafult with os4 (but it can be older than os4depot version, need to check), you just need to be sure that Warp3D SI will works with 7750. As far as i remember it supported (at least there it says so: http://amigaworld.net/modules/news/arti ... oryid=7363)

so whats the point of Nova3D then ?


Nova for future stuff. Currently there is few examples, some work-in-progress stuff from some teams who will utilize it, as well as OpenglES2.0 also will works over Nova. In other words , currently, there is almost nothing for nova , its too new, and all work still in progress. But while we wait for new stuff to come, we still can use old one which was writen for Minigl, as this was the only one solution which give opengl for os4, which half-accelerated and works. Through as it work over that old warp3d , it have limitation, speed is not decent , no Transformation , Clipping and Lighting support via GPU (in old warp3d done via CPU, so slow in end), and so on.

If you want all things to work right now, and not "when its done", then just need old warp3d/minigl , and then warp3dnova/opengles (those ones from Enhancer) , so you will have ability to check all apps, and all will works.
kas1e
Beta Tester
Beta Tester
 
Posts: 453
Joined: Sat Jun 18, 2011 8:56 am

Re: Os4.1 3D , warp and openGL ?

Postby mjnurney » Thu May 25, 2017 10:43 pm

thank you for your reply

I've downloaded Warp3D and now everything works fine , I'm playing wolfenstien as we speak.

i didn't think for a minute that the new Warp3D wasn't compatible with the old warp3D...perhaps some indication on the web site driver description would be handy here ?

great stuff guys, keep up the good work.
mjnurney
 
Posts: 18
Joined: Sat Oct 27, 2012 1:10 am

Next

Return to General AmigaOS

Who is online

Users browsing this forum: No registered users and 1 guest

cron